Include 'DOMAINE_PIEZO.geo'; // Fichier de construction d'un piezo
Include 'PLAQUE.geo'; // Fichier de construction d'une plaque
Geometry.CopyMeshingMethod=1; // Option de maillage


//////////////////////////////////////////////
// 					Piezo
// 2*L = Longueur d'un coté du piezo = 30E-3 m
///////////////////////////////////////////////

Lp=16E-3;


//////////////////////////////////////////////
// Composante de construction du piezo
//
// 	- nPiezo : Nombre de piezo(s) sur la plaque
// 	- List_xy : Coordonnées des origines de chaque piezo
// 	- List_LL : Liste servant à mémoriser les coordonnées des contours de piezo(s)
//
///////////////////////////////////////////////

nPiezo=1; 							//A Remplir
List_xy[]={0,0}; 				//A Remplir
List_LL[]=;							//Ne pas toucher

//////////////////////////////////////////////
// Composante de construction de la plaque
//
// 	- L : Longueur
// 	- l : largeur
//	- elemPx : nombre d'llement sur x
//	- elemPy : nombre d'llement sur y
//
///////////////////////////////////////////////

L=0.5; 								//A Remplir
l=0.3; 								//A Remplir
elemPx=(8*L/3E-2)+1; 							//A Remplir
elemPy=(8*l/3E-2)+1; 							//A Remplir



//////////////////////////////////////////////
//////////////////////////////////////////////

For p In{0:nPiezo-1}
Call Piezo;
EndFor
Printf("LL0  = %g ",List_LL[0]);
Printf("LL1  = %g ",List_LL[1]);
Call Plaque;
